Yêu cầu tạo tài khoản giao dịch hàng hóa MXV
curl --request POST \
--url https://api.fireant.vn/me/mxv/account-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signatureImage": "<string>",
"bankAccountID": 123
}
'import requests
url = "https://api.fireant.vn/me/mxv/account-request"
payload = {
"signatureImage": "<string>",
"bankAccountID": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signatureImage: '<string>', bankAccountID: 123})
};
fetch('https://api.fireant.vn/me/mxv/account-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/me/mxv/account-request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signatureImage' => '<string>',
'bankAccountID' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/me/mxv/account-request"
payload := strings.NewReader("{\n \"signatureImage\": \"<string>\",\n \"bankAccountID\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fireant.vn/me/mxv/account-request")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signatureImage\": \"<string>\",\n \"bankAccountID\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/me/mxv/account-request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signatureImage\": \"<string>\",\n \"bankAccountID\": 123\n}"
response = http.request(request)
puts response.read_body{
"requestID": 123,
"accountID": 123,
"name": "<string>",
"email": "<string>",
"website": "<string>",
"phoneNumber": "<string>",
"dateOfBirth": "2023-11-07T05:31:56Z",
"sex": "<string>",
"identityNumber": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"expiredDate": "2023-11-07T05:31:56Z",
"issueLocation": "<string>",
"identityAddress": "<string>",
"bankAccountNo": "<string>",
"bankID": 123,
"images": [
123
],
"status": "<string>",
"investorCode": "<string>"
}Me
Yêu cầu tạo tài khoản giao dịch hàng hóa MXV
POST
/
me
/
mxv
/
account-request
Yêu cầu tạo tài khoản giao dịch hàng hóa MXV
curl --request POST \
--url https://api.fireant.vn/me/mxv/account-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signatureImage": "<string>",
"bankAccountID": 123
}
'import requests
url = "https://api.fireant.vn/me/mxv/account-request"
payload = {
"signatureImage": "<string>",
"bankAccountID": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signatureImage: '<string>', bankAccountID: 123})
};
fetch('https://api.fireant.vn/me/mxv/account-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/me/mxv/account-request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signatureImage' => '<string>',
'bankAccountID' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/me/mxv/account-request"
payload := strings.NewReader("{\n \"signatureImage\": \"<string>\",\n \"bankAccountID\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fireant.vn/me/mxv/account-request")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signatureImage\": \"<string>\",\n \"bankAccountID\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/me/mxv/account-request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signatureImage\": \"<string>\",\n \"bankAccountID\": 123\n}"
response = http.request(request)
puts response.read_body{
"requestID": 123,
"accountID": 123,
"name": "<string>",
"email": "<string>",
"website": "<string>",
"phoneNumber": "<string>",
"dateOfBirth": "2023-11-07T05:31:56Z",
"sex": "<string>",
"identityNumber": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"expiredDate": "2023-11-07T05:31:56Z",
"issueLocation": "<string>",
"identityAddress": "<string>",
"bankAccountNo": "<string>",
"bankID": 123,
"images": [
123
],
"status": "<string>",
"investorCode": "<string>"
}Ủy quyền
OAuth2 Implicit Grant
Phản hồi
Thành công